List payment methods
curl --request GET \
--url https://api.bachs.io/v1/payment-methodsconst options = {method: 'GET'};
fetch('https://api.bachs.io/v1/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bachs.io/v1/payment-methods"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bachs.io/v1/payment-methods"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"payment_methods": [
{
"id": "BANK_TRANSFER",
"display_name": "Bank Transfer",
"icon": "bank",
"description": "Pay via bank transfer",
"type": "fiat",
"enabled_by_default": true,
"currencies": [
"NGN",
"USD"
]
},
{
"id": "CRYPTO",
"display_name": "Cryptocurrency",
"icon": "crypto",
"description": "Pay with supported crypto assets",
"type": "crypto",
"enabled_by_default": true,
"currencies": [
"USDT_TRC20",
"USDT_BEP20"
]
}
]
}{
"detail": "Invalid request parameters",
"error_code": "VALIDATION_ERROR",
"errors": [
{
"field": "amount",
"message": "Amount must be a positive decimal string",
"type": "value_error"
}
]
}{
"detail": "Invalid API key",
"error_code": "UNAUTHORIZED"
}{
"detail": "API key does not have permission for this operation",
"error_code": "FORBIDDEN"
}{
"detail": "Resource not found",
"error_code": "NOT_FOUND"
}{
"detail": "Rate limit exceeded. Please retry after a few seconds.",
"error_code": "TOO_MANY_REQUESTS"
}{
"detail": "An unexpected error occurred. Please try again later.",
"error_code": "INTERNAL_SERVER_ERROR"
}Misc
List payment methods
Get all available payment methods and their supported currencies. Use this to determine which payment options to show customers.
GET
/
v1
/
payment-methods
List payment methods
curl --request GET \
--url https://api.bachs.io/v1/payment-methodsconst options = {method: 'GET'};
fetch('https://api.bachs.io/v1/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bachs.io/v1/payment-methods"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bachs.io/v1/payment-methods"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"payment_methods": [
{
"id": "BANK_TRANSFER",
"display_name": "Bank Transfer",
"icon": "bank",
"description": "Pay via bank transfer",
"type": "fiat",
"enabled_by_default": true,
"currencies": [
"NGN",
"USD"
]
},
{
"id": "CRYPTO",
"display_name": "Cryptocurrency",
"icon": "crypto",
"description": "Pay with supported crypto assets",
"type": "crypto",
"enabled_by_default": true,
"currencies": [
"USDT_TRC20",
"USDT_BEP20"
]
}
]
}{
"detail": "Invalid request parameters",
"error_code": "VALIDATION_ERROR",
"errors": [
{
"field": "amount",
"message": "Amount must be a positive decimal string",
"type": "value_error"
}
]
}{
"detail": "Invalid API key",
"error_code": "UNAUTHORIZED"
}{
"detail": "API key does not have permission for this operation",
"error_code": "FORBIDDEN"
}{
"detail": "Resource not found",
"error_code": "NOT_FOUND"
}{
"detail": "Rate limit exceeded. Please retry after a few seconds.",
"error_code": "TOO_MANY_REQUESTS"
}{
"detail": "An unexpected error occurred. Please try again later.",
"error_code": "INTERNAL_SERVER_ERROR"
}Response
Success
Response containing supported payment methods.
List of payment methods available to the authenticated account in the current environment.
Show child attributes
Show child attributes

